### Virtual Method

# Gtk LayoutManagerallocate

#### Declaration [src]

    void
    allocate (
      GtkLayoutManager* manager,
      GtkWidget* widget,
      int width,
      int height,
      int baseline
    )

#### Description [src]

Assigns the given `width`, `height`, and `baseline` to a `widget`, and computes the position and sizes of the children of the `widget` using the layout management policy of `manager`.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` using `manager`.

  The data is owned by the caller of the function.

`width`

  Type: `int`

  The new width of the `widget`.

`height`

  Type: `int`

  The new height of the `widget`.

`baseline`

  Type: `int`

  The baseline position of the `widget`, or -1